curl --request PUT \
--url https://api.mudstack.com/accounts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: multipart/form-data' \
--header 'x-account-id: <x-account-id>' \
--form file='@example-file' \
--form 'body={}'import requests
url = "https://api.mudstack.com/accounts"
files = { "file": ("example-file", open("example-file", "rb")) }
payload = { "body": "{}" }
headers = {
"x-account-id": "<x-account-id>",
"Authorization": "Bearer <token>"
}
response = requests.put(url, data=payload, files=files, headers=headers)
print(response.text)const form = new FormData();
form.append('file', '<string>');
form.append('body', '{}');
const options = {
method: 'PUT',
headers: {'x-account-id': '<x-account-id>', Authorization: 'Bearer <token>'}
};
options.body = form;
fetch('https://api.mudstack.com/accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"account_tier_id": "<string>",
"thumbnail_file_id": "<string>",
"created_by_user_id": "<string>",
"defaultAvatar": 123,
"sequence": 123,
"subscription": {
"account_id": "<string>",
"stripe_customer_id": "<string>",
"status": "<string>",
"licenses": 123,
"contact": "<string>"
},
"members": {
"account_id": "<string>",
"user_id": "<string>",
"roles": [
"<string>"
],
"user": {
"id": "<string>",
"auth0UserID": "<string>",
"username": "<string>",
"email": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"avatar_file_id": "<string>",
"defaultAvatar": 123,
"industry": "<string>",
"occupation": "<string>",
"company": "<string>",
"emailVerified": true,
"isActive": true,
"city": "<string>",
"state": "<string>",
"country": "<string>",
"zipCode": "<string>",
"invited_by_user": "<unknown>"
}
},
"tier": {
"id": "<string>",
"name": "<string>",
"maxStorage": 123,
"costPerLicense": 123,
"costPerExtraTB": 123
},
"type": {
"id": "<string>",
"name": "<string>",
"maxStorage": 123,
"maxAssets": 123,
"maxUsers": 123,
"costPerUser": 123,
"addStoragePrice": 123
},
"creator": {
"id": "<string>",
"auth0UserID": "<string>",
"username": "<string>",
"email": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"avatar_file_id": "<string>",
"defaultAvatar": 123,
"industry": "<string>",
"occupation": "<string>",
"company": "<string>",
"emailVerified": true,
"isActive": true,
"city": "<string>",
"state": "<string>",
"country": "<string>",
"zipCode": "<string>",
"invited_by_user": "<unknown>"
},
"workspaces": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"thumbnail_file_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"defaultAvatar": 1,
"created_by_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sequence": "<string>",
"roles": {
"workspace_id": "<string>",
"user_id": "<string>",
"roles": [
"<string>"
],
"user": {
"id": "<string>",
"auth0UserID": "<string>",
"username": "<string>",
"email": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"avatar_file_id": "<string>",
"defaultAvatar": 123,
"industry": "<string>",
"occupation": "<string>",
"company": "<string>",
"emailVerified": true,
"isActive": true,
"city": "<string>",
"state": "<string>",
"country": "<string>",
"zipCode": "<string>",
"invited_by_user": "<unknown>"
}
},
"usage": {}
}
],
"isCreator": true,
"account_roles": [
"<string>"
]
}Update account
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Response
Account updated successfully
Represents an account with various properties and relationships.
Unique identifier for the account.
Name of the account.
Identifier for the account tier.
Optional identifier for the thumbnail file.
Optional identifier for the user who created the account.
Default avatar for the account.
Sequence number for the account.
Optional subscription details for the account.
Show child attributes
Show child attributes
Optional members associated with the account.
Show child attributes
Show child attributes
Optional tier details for the account.
Show child attributes
Show child attributes
Optional type details for the account.
Show child attributes
Show child attributes
Optional creator details for the account.
Show child attributes
Show child attributes
List of workspaces associated with the account.
Show child attributes
Show child attributes
Optional flag indicating if the user is the creator of the account.
Optional list of roles associated with the account.
Was this page helpful?